Bug 215732 - segfault in evaluate_conjunctive_subquery
segfault in evaluate_conjunctive_subquery
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-15 09:31 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-06 05:03:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-15 09:31:00 EST
rhythmbox dumped core mid-song, the UI was hidden at the time.

Core was generated by `rhythmbox'.
Program terminated with signal 11, Segmentation fault.
#0  evaluate_conjunctive_subquery (dbtree=0xa6a020, query=0x10fc1b0, 
    base=<value optimized out>, max=2, entry=0xd283c0) at rhythmdb-tree.c:1361
1361            for (current = words; *current != NULL; current++) {
(gdb) info locals
relative_time = 13790416
current_time = {tv_sec = 16, tv_usec = 255271699347}
db = <value optimized out>
i = 0
__PRETTY_FUNCTION__ = "evaluate_conjunctive_subquery"
(gdb) where
#0  evaluate_conjunctive_subquery (dbtree=0xa6a020, query=0x10fc1b0, 
    base=<value optimized out>, max=2, entry=0xd283c0) at rhythmdb-tree.c:1361
#1  0x0000000000496d22 in do_conjunction (entry=0xd283c0, 
    unused=<value optimized out>, data=0xd26cd0) at rhythmdb-tree.c:1515
#2  0x0000003b6f62054e in IA__g_hash_table_foreach (hash_table=0xcd7b00, 
    func=0x496cf0 <do_conjunction>, user_data=0xd26cd0) at ghash.c:662
#3  0x0000003b6f62054e in IA__g_hash_table_foreach (hash_table=0xcd7ac0, 
    func=0x495f40 <conjunctive_query_songs>, user_data=0xd26cd0) at ghash.c:662
#4  0x0000003b6f62054e in IA__g_hash_table_foreach (hash_table=0xcd7a80, 
    func=0x495f60 <conjunctive_query_albums>, user_data=0xd26cd0) at ghash.c:662
#5  0x0000003b6f62054e in IA__g_hash_table_foreach (hash_table=0xa48540, 
    func=0x496060 <conjunctive_query_artists>, user_data=0xd26cd0) at ghash.c:662
#6  0x0000000000496401 in rhythmdb_tree_do_full_query (adb=<value optimized out>, 
    query=<value optimized out>, results=<value optimized out>, cancel=0x10fbb70)
    at rhythmdb-tree.c:1706
#7  0x0000000000487b31 in rhythmdb_query_internal (data=0x10fbb50) at
rhythmdb.c:2928
#8  0x0000000000487d5d in query_thread_main (data=0x10fbb50) at rhythmdb.c:2951
#9  0x0000003b6f648f24 in g_thread_create_proxy (data=0x112e850) at gthread.c:553
#10 0x000000332ae06305 in start_thread () from /lib64/libpthread.so.0
#11 0x000000332a2cd62d in clone () from /lib64/libc.so.6
#12 0x0000000000000000 in ?? ()
(gdb) 

all other threads than this one are blocked in poll/pthread_cond_wait; can
attach full backtrace if necessary.
Comment 1 Joe Orton 2006-11-15 09:31:52 EST
This is rhythmbox-0.9.5-4.fc6.x86_64, up-to-date FC6 system.
Comment 2 Bastien Nocera 2007-01-30 10:46:24 EST
Could you please check whether the same thing occurs with Rhythmbox 0.9.6 that
was uploaded to the FC6 updates recently?
Comment 3 Joe Orton 2007-02-06 05:03:40 EST
I never had a reliable repro case for this; but before the 0.9.6 update it was
crashing once a day at least, and it's never crashed since, so that worksforme.

Thanks for pushing the update!

Note You need to log in before you can comment on or make changes to this bug.